
%define name	cxxtools
%define version	2.2
%define rel	2

# NOTE: when updating, make sure tntnet and vdr-plugin-live still build. -Anssi

%define major	9
%define libname	%mklibname cxxtools %major
%define devname	%mklibname cxxtools -d

Summary:	Toolbox with reusable c++ components
Name:		%name
Version:	%version
Release:	%mkrel %rel
License:	LGPLv2.1+
Group:		System/Libraries
URL:		http://www.tntnet.org/
Source:		http://www.tntnet.org/download/%name-%version.tar.gz
BuildRoot:	%{_tmppath}/%{name}-root

%description
Toolbox with reusable c++ components.

%package -n %libname
Summary:	Shared library of cxxtools
Group:		System/Libraries

%description -n %libname
Toolbox with reusable c++ components.

%package -n %devname
Summary:	Headers and static library for cxxtools development
Group:		Development/C++
Requires:	%libname = %version
Provides:	cxxtools-devel = %version-%release

%description -n %devname
Toolbox with reusable c++ components.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x \
%ifarch %arm
--with-atomictype=pthread
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/cxxtools-config

%clean
rm -rf %{buildroot}

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %devname
%doc README AUTHORS
%{_bindir}/cxxtools-config
%{multiarch_bindir}/cxxtools-config
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/cxxtools*.pc



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.2-2.mga4
+ Revision: 543049
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 2.2-1.mga4
+ Revision: 498147
- new version 2.2
- drop patches, fixed upstream

* Sun Apr 07 2013 rtp <rtp> 2.1.1-3.mga3
+ Revision: 408923
- merge arm build fix from debian

* Fri Jan 11 2013 umeabot <umeabot> 2.1.1-2.mga3
+ Revision: 348530
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 pterjan <pterjan> 2.1.1-1.mga3
+ Revision: 327077
- 2.1.1
- Add missing dependency in the Makefile

* Sat Jan 15 2011 anssi <anssi> 1.4.8-4.mga1
+ Revision: 19762
- clean up old post/postun scripts
- imported package cxxtools


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.8-3mdv2011.0
+ Revision: 610186
- rebuild

* Sat Feb 06 2010 Anssi Hannula <anssi@mandriva.org> 1.4.8-2mdv2010.1
+ Revision: 501446
- fix build (use-right-eof-value.patch from upstream)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Sep 06 2008 Emmanuel Andry <eandry@mandriva.org> 1.4.8-1mdv2009.0
+ Revision: 281915
- New version
- New major 6

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 24 2008 Anssi Hannula <anssi@mandriva.org> 1.4.7-2mdv2009.0
+ Revision: 197071
- new version
- new major

* Sat Jan 19 2008 Anssi Hannula <anssi@mandriva.org> 1.4.6-1mdv2008.1
+ Revision: 155075
- initial Mandriva release

